Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
ffda::/16
First address
ffda::
Last address
ffda:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
ffda:0000:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zone
a.d.f.f.ip6.arpa
Split into smaller subnets/24

ffda::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
1ffda::/24ffda:ff:ffff:ffff:ffff:ffff:ffff:ffff
2ffda:100::/24ffda:1ff:ffff:ffff:ffff:ffff:ffff:ffff
3ffda:200::/24ffda:2ff:ffff:ffff:ffff:ffff:ffff:ffff
4ffda:300::/24ffda:3ff:ffff:ffff:ffff:ffff:ffff:ffff
5ffda:400::/24ffda:4ff:ffff:ffff:ffff:ffff:ffff:ffff
6ffda:500::/24ffda:5ff:ffff:ffff:ffff:ffff:ffff:ffff
7ffda:600::/24ffda:6ff:ffff:ffff:ffff:ffff:ffff:ffff
8ffda:700::/24ffda:7ff:ffff:ffff:ffff:ffff:ffff:ffff
9ffda:800::/24ffda:8ff:ffff:ffff:ffff:ffff:ffff:ffff
10ffda:900::/24ffda:9ff:ffff:ffff:ffff:ffff:ffff:ffff
11ffda:a00::/24ffda:aff:ffff:ffff:ffff:ffff:ffff:ffff
12ffda:b00::/24ffda:bff:ffff:ffff:ffff:ffff:ffff:ffff
13ffda:c00::/24ffda:cff:ffff:ffff:ffff:ffff:ffff:ffff
14ffda:d00::/24ffda:dff:ffff:ffff:ffff:ffff:ffff:ffff
15ffda:e00::/24ffda:eff:ffff:ffff:ffff:ffff:ffff:ffff
16ffda:f00::/24ffda:fff:ffff:ffff:ffff:ffff:ffff:ffff
17ffda:1000::/24ffda:10ff:ffff:ffff:ffff:ffff:ffff:ffff
18ffda:1100::/24ffda:11ff:ffff:ffff:ffff:ffff:ffff:ffff
19ffda:1200::/24ffda:12ff:ffff:ffff:ffff:ffff:ffff:ffff
20ffda:1300::/24ffda:13ff:ffff:ffff:ffff:ffff:ffff:ffff
21ffda:1400::/24ffda:14ff:ffff:ffff:ffff:ffff:ffff:ffff
22ffda:1500::/24ffda:15ff:ffff:ffff:ffff:ffff:ffff:ffff
23ffda:1600::/24ffda:16ff:ffff:ffff:ffff:ffff:ffff:ffff
24ffda:1700::/24ffda:17ff:ffff:ffff:ffff:ffff:ffff:ffff
25ffda:1800::/24ffda:18ff:ffff:ffff:ffff:ffff:ffff:ffff
26ffda:1900::/24ffda:19ff:ffff:ffff:ffff:ffff:ffff:ffff
27ffda:1a00::/24ffda:1aff:ffff:ffff:ffff:ffff:ffff:ffff
28ffda:1b00::/24ffda:1bff:ffff:ffff:ffff:ffff:ffff:ffff
29ffda:1c00::/24ffda:1cff:ffff:ffff:ffff:ffff:ffff:ffff
30ffda:1d00::/24ffda:1dff:ffff:ffff:ffff:ffff:ffff:ffff
31ffda:1e00::/24ffda:1eff:ffff:ffff:ffff:ffff:ffff:ffff
32ffda:1f00::/24ffda:1fff:ffff:ffff:ffff:ffff:ffff:ffff
33ffda:2000::/24ffda:20ff:ffff:ffff:ffff:ffff:ffff:ffff
34ffda:2100::/24ffda:21ff:ffff:ffff:ffff:ffff:ffff:ffff
35ffda:2200::/24ffda:22ff:ffff:ffff:ffff:ffff:ffff:ffff
36ffda:2300::/24ffda:23ff:ffff:ffff:ffff:ffff:ffff:ffff
37ffda:2400::/24ffda:24ff:ffff:ffff:ffff:ffff:ffff:ffff
38ffda:2500::/24ffda:25ff:ffff:ffff:ffff:ffff:ffff:ffff
39ffda:2600::/24ffda:26ff:ffff:ffff:ffff:ffff:ffff:ffff
40ffda:2700::/24ffda:27ff:ffff:ffff:ffff:ffff:ffff:ffff
41ffda:2800::/24ffda:28ff:ffff:ffff:ffff:ffff:ffff:ffff
42ffda:2900::/24ffda:29ff:ffff:ffff:ffff:ffff:ffff:ffff
43ffda:2a00::/24ffda:2aff:ffff:ffff:ffff:ffff:ffff:ffff
44ffda:2b00::/24ffda:2bff:ffff:ffff:ffff:ffff:ffff:ffff
45ffda:2c00::/24ffda:2cff:ffff:ffff:ffff:ffff:ffff:ffff
46ffda:2d00::/24ffda:2dff:ffff:ffff:ffff:ffff:ffff:ffff
47ffda:2e00::/24ffda:2eff:ffff:ffff:ffff:ffff:ffff:ffff
48ffda:2f00::/24ffda:2fff:ffff:ffff:ffff:ffff:ffff:ffff
49ffda:3000::/24ffda:30ff:ffff:ffff:ffff:ffff:ffff:ffff
50ffda:3100::/24ffda:31ff:ffff:ffff:ffff:ffff:ffff:ffff
51ffda:3200::/24ffda:32ff:ffff:ffff:ffff:ffff:ffff:ffff
52ffda:3300::/24ffda:33ff:ffff:ffff:ffff:ffff:ffff:ffff
53ffda:3400::/24ffda:34ff:ffff:ffff:ffff:ffff:ffff:ffff
54ffda:3500::/24ffda:35ff:ffff:ffff:ffff:ffff:ffff:ffff
55ffda:3600::/24ffda:36ff:ffff:ffff:ffff:ffff:ffff:ffff
56ffda:3700::/24ffda:37ff:ffff:ffff:ffff:ffff:ffff:ffff
57ffda:3800::/24ffda:38ff:ffff:ffff:ffff:ffff:ffff:ffff
58ffda:3900::/24ffda:39ff:ffff:ffff:ffff:ffff:ffff:ffff
59ffda:3a00::/24ffda:3aff:ffff:ffff:ffff:ffff:ffff:ffff
60ffda:3b00::/24ffda:3bff:ffff:ffff:ffff:ffff:ffff:ffff
61ffda:3c00::/24ffda:3cff:ffff:ffff:ffff:ffff:ffff:ffff
62ffda:3d00::/24ffda:3dff:ffff:ffff:ffff:ffff:ffff:ffff
63ffda:3e00::/24ffda:3eff:ffff:ffff:ffff:ffff:ffff:ffff
64ffda:3f00::/24ffda:3fff:ffff:ffff:ffff:ffff:ffff:ffff
65ffda:4000::/24ffda:40ff:ffff:ffff:ffff:ffff:ffff:ffff
66ffda:4100::/24ffda:41ff:ffff:ffff:ffff:ffff:ffff:ffff
67ffda:4200::/24ffda:42ff:ffff:ffff:ffff:ffff:ffff:ffff
68ffda:4300::/24ffda:43ff:ffff:ffff:ffff:ffff:ffff:ffff
69ffda:4400::/24ffda:44ff:ffff:ffff:ffff:ffff:ffff:ffff
70ffda:4500::/24ffda:45ff:ffff:ffff:ffff:ffff:ffff:ffff
71ffda:4600::/24ffda:46ff:ffff:ffff:ffff:ffff:ffff:ffff
72ffda:4700::/24ffda:47ff:ffff:ffff:ffff:ffff:ffff:ffff
73ffda:4800::/24ffda:48ff:ffff:ffff:ffff:ffff:ffff:ffff
74ffda:4900::/24ffda:49ff:ffff:ffff:ffff:ffff:ffff:ffff
75ffda:4a00::/24ffda:4aff:ffff:ffff:ffff:ffff:ffff:ffff
76ffda:4b00::/24ffda:4bff:ffff:ffff:ffff:ffff:ffff:ffff
77ffda:4c00::/24ffda:4cff:ffff:ffff:ffff:ffff:ffff:ffff
78ffda:4d00::/24ffda:4dff:ffff:ffff:ffff:ffff:ffff:ffff
79ffda:4e00::/24ffda:4eff:ffff:ffff:ffff:ffff:ffff:ffff
80ffda:4f00::/24ffda:4fff:ffff:ffff:ffff:ffff:ffff:ffff
81ffda:5000::/24ffda:50ff:ffff:ffff:ffff:ffff:ffff:ffff
82ffda:5100::/24ffda:51ff:ffff:ffff:ffff:ffff:ffff:ffff
83ffda:5200::/24ffda:52ff:ffff:ffff:ffff:ffff:ffff:ffff
84ffda:5300::/24ffda:53ff:ffff:ffff:ffff:ffff:ffff:ffff
85ffda:5400::/24ffda:54ff:ffff:ffff:ffff:ffff:ffff:ffff
86ffda:5500::/24ffda:55ff:ffff:ffff:ffff:ffff:ffff:ffff
87ffda:5600::/24ffda:56ff:ffff:ffff:ffff:ffff:ffff:ffff
88ffda:5700::/24ffda:57ff:ffff:ffff:ffff:ffff:ffff:ffff
89ffda:5800::/24ffda:58ff:ffff:ffff:ffff:ffff:ffff:ffff
90ffda:5900::/24ffda:59ff:ffff:ffff:ffff:ffff:ffff:ffff
91ffda:5a00::/24ffda:5aff:ffff:ffff:ffff:ffff:ffff:ffff
92ffda:5b00::/24ffda:5bff:ffff:ffff:ffff:ffff:ffff:ffff
93ffda:5c00::/24ffda:5cff:ffff:ffff:ffff:ffff:ffff:ffff
94ffda:5d00::/24ffda:5dff:ffff:ffff:ffff:ffff:ffff:ffff
95ffda:5e00::/24ffda:5eff:ffff:ffff:ffff:ffff:ffff:ffff
96ffda:5f00::/24ffda:5fff:ffff:ffff:ffff:ffff:ffff:ffff
97ffda:6000::/24ffda:60ff:ffff:ffff:ffff:ffff:ffff:ffff
98ffda:6100::/24ffda:61ff:ffff:ffff:ffff:ffff:ffff:ffff
99ffda:6200::/24ffda:62ff:ffff:ffff:ffff:ffff:ffff:ffff
100ffda:6300::/24ffda:63ff:ffff:ffff:ffff:ffff:ffff:ffff
101ffda:6400::/24ffda:64ff:ffff:ffff:ffff:ffff:ffff:ffff
102ffda:6500::/24ffda:65ff:ffff:ffff:ffff:ffff:ffff:ffff
103ffda:6600::/24ffda:66ff:ffff:ffff:ffff:ffff:ffff:ffff
104ffda:6700::/24ffda:67ff:ffff:ffff:ffff:ffff:ffff:ffff
105ffda:6800::/24ffda:68ff:ffff:ffff:ffff:ffff:ffff:ffff
106ffda:6900::/24ffda:69ff:ffff:ffff:ffff:ffff:ffff:ffff
107ffda:6a00::/24ffda:6aff:ffff:ffff:ffff:ffff:ffff:ffff
108ffda:6b00::/24ffda:6bff:ffff:ffff:ffff:ffff:ffff:ffff
109ffda:6c00::/24ffda:6cff:ffff:ffff:ffff:ffff:ffff:ffff
110ffda:6d00::/24ffda:6dff:ffff:ffff:ffff:ffff:ffff:ffff
111ffda:6e00::/24ffda:6eff:ffff:ffff:ffff:ffff:ffff:ffff
112ffda:6f00::/24ffda:6fff:ffff:ffff:ffff:ffff:ffff:ffff
113ffda:7000::/24ffda:70ff:ffff:ffff:ffff:ffff:ffff:ffff
114ffda:7100::/24ffda:71ff:ffff:ffff:ffff:ffff:ffff:ffff
115ffda:7200::/24ffda:72ff:ffff:ffff:ffff:ffff:ffff:ffff
116ffda:7300::/24ffda:73ff:ffff:ffff:ffff:ffff:ffff:ffff
117ffda:7400::/24ffda:74ff:ffff:ffff:ffff:ffff:ffff:ffff
118ffda:7500::/24ffda:75ff:ffff:ffff:ffff:ffff:ffff:ffff
119ffda:7600::/24ffda:76ff:ffff:ffff:ffff:ffff:ffff:ffff
120ffda:7700::/24ffda:77ff:ffff:ffff:ffff:ffff:ffff:ffff
121ffda:7800::/24ffda:78ff:ffff:ffff:ffff:ffff:ffff:ffff
122ffda:7900::/24ffda:79ff:ffff:ffff:ffff:ffff:ffff:ffff
123ffda:7a00::/24ffda:7aff:ffff:ffff:ffff:ffff:ffff:ffff
124ffda:7b00::/24ffda:7bff:ffff:ffff:ffff:ffff:ffff:ffff
125ffda:7c00::/24ffda:7cff:ffff:ffff:ffff:ffff:ffff:ffff
126ffda:7d00::/24ffda:7dff:ffff:ffff:ffff:ffff:ffff:ffff
127ffda:7e00::/24ffda:7eff:ffff:ffff:ffff:ffff:ffff:ffff
128ffda:7f00::/24ffda:7fff:ffff:ffff:ffff:ffff:ffff:ffff
129ffda:8000::/24ffda:80ff:ffff:ffff:ffff:ffff:ffff:ffff
130ffda:8100::/24ffda:81ff:ffff:ffff:ffff:ffff:ffff:ffff
131ffda:8200::/24ffda:82ff:ffff:ffff:ffff:ffff:ffff:ffff
132ffda:8300::/24ffda:83ff:ffff:ffff:ffff:ffff:ffff:ffff
133ffda:8400::/24ffda:84ff:ffff:ffff:ffff:ffff:ffff:ffff
134ffda:8500::/24ffda:85ff:ffff:ffff:ffff:ffff:ffff:ffff
135ffda:8600::/24ffda:86ff:ffff:ffff:ffff:ffff:ffff:ffff
136ffda:8700::/24ffda:87ff:ffff:ffff:ffff:ffff:ffff:ffff
137ffda:8800::/24ffda:88ff:ffff:ffff:ffff:ffff:ffff:ffff
138ffda:8900::/24ffda:89ff:ffff:ffff:ffff:ffff:ffff:ffff
139ffda:8a00::/24ffda:8aff:ffff:ffff:ffff:ffff:ffff:ffff
140ffda:8b00::/24ffda:8bff:ffff:ffff:ffff:ffff:ffff:ffff
141ffda:8c00::/24ffda:8cff:ffff:ffff:ffff:ffff:ffff:ffff
142ffda:8d00::/24ffda:8dff:ffff:ffff:ffff:ffff:ffff:ffff
143ffda:8e00::/24ffda:8eff:ffff:ffff:ffff:ffff:ffff:ffff
144ffda:8f00::/24ffda:8fff:ffff:ffff:ffff:ffff:ffff:ffff
145ffda:9000::/24ffda:90ff:ffff:ffff:ffff:ffff:ffff:ffff
146ffda:9100::/24ffda:91ff:ffff:ffff:ffff:ffff:ffff:ffff
147ffda:9200::/24ffda:92ff:ffff:ffff:ffff:ffff:ffff:ffff
148ffda:9300::/24ffda:93ff:ffff:ffff:ffff:ffff:ffff:ffff
149ffda:9400::/24ffda:94ff:ffff:ffff:ffff:ffff:ffff:ffff
150ffda:9500::/24ffda:95ff:ffff:ffff:ffff:ffff:ffff:ffff
151ffda:9600::/24ffda:96ff:ffff:ffff:ffff:ffff:ffff:ffff
152ffda:9700::/24ffda:97ff:ffff:ffff:ffff:ffff:ffff:ffff
153ffda:9800::/24ffda:98ff:ffff:ffff:ffff:ffff:ffff:ffff
154ffda:9900::/24ffda:99ff:ffff:ffff:ffff:ffff:ffff:ffff
155ffda:9a00::/24ffda:9aff:ffff:ffff:ffff:ffff:ffff:ffff
156ffda:9b00::/24ffda:9bff:ffff:ffff:ffff:ffff:ffff:ffff
157ffda:9c00::/24ffda:9cff:ffff:ffff:ffff:ffff:ffff:ffff
158ffda:9d00::/24ffda:9dff:ffff:ffff:ffff:ffff:ffff:ffff
159ffda:9e00::/24ffda:9eff:ffff:ffff:ffff:ffff:ffff:ffff
160ffda:9f00::/24ffda:9fff:ffff:ffff:ffff:ffff:ffff:ffff
161ffda:a000::/24ffda:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
162ffda:a100::/24ffda:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
163ffda:a200::/24ffda:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
164ffda:a300::/24ffda:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
165ffda:a400::/24ffda:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
166ffda:a500::/24ffda:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
167ffda:a600::/24ffda:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
168ffda:a700::/24ffda:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
169ffda:a800::/24ffda:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
170ffda:a900::/24ffda:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
171ffda:aa00::/24ffda:aaff:ffff:ffff:ffff:ffff:ffff:ffff
172ffda:ab00::/24ffda:abff:ffff:ffff:ffff:ffff:ffff:ffff
173ffda:ac00::/24ffda:acff:ffff:ffff:ffff:ffff:ffff:ffff
174ffda:ad00::/24ffda:adff:ffff:ffff:ffff:ffff:ffff:ffff
175ffda:ae00::/24ffda:aeff:ffff:ffff:ffff:ffff:ffff:ffff
176ffda:af00::/24ffda:afff:ffff:ffff:ffff:ffff:ffff:ffff
177ffda:b000::/24ffda:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
178ffda:b100::/24ffda:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
179ffda:b200::/24ffda:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
180ffda:b300::/24ffda:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
181ffda:b400::/24ffda:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
182ffda:b500::/24ffda:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
183ffda:b600::/24ffda:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
184ffda:b700::/24ffda:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
185ffda:b800::/24ffda:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
186ffda:b900::/24ffda:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
187ffda:ba00::/24ffda:baff:ffff:ffff:ffff:ffff:ffff:ffff
188ffda:bb00::/24ffda:bbff:ffff:ffff:ffff:ffff:ffff:ffff
189ffda:bc00::/24ffda:bcff:ffff:ffff:ffff:ffff:ffff:ffff
190ffda:bd00::/24ffda:bdff:ffff:ffff:ffff:ffff:ffff:ffff
191ffda:be00::/24ffda:beff:ffff:ffff:ffff:ffff:ffff:ffff
192ffda:bf00::/24ffda:bfff:ffff:ffff:ffff:ffff:ffff:ffff
193ffda:c000::/24ffda:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
194ffda:c100::/24ffda:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
195ffda:c200::/24ffda:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
196ffda:c300::/24ffda:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
197ffda:c400::/24ffda:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
198ffda:c500::/24ffda:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
199ffda:c600::/24ffda:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
200ffda:c700::/24ffda:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
201ffda:c800::/24ffda:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
202ffda:c900::/24ffda:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
203ffda:ca00::/24ffda:caff:ffff:ffff:ffff:ffff:ffff:ffff
204ffda:cb00::/24ffda:cbff:ffff:ffff:ffff:ffff:ffff:ffff
205ffda:cc00::/24ffda:ccff:ffff:ffff:ffff:ffff:ffff:ffff
206ffda:cd00::/24ffda:cdff:ffff:ffff:ffff:ffff:ffff:ffff
207ffda:ce00::/24ffda:ceff:ffff:ffff:ffff:ffff:ffff:ffff
208ffda:cf00::/24ffda:cfff:ffff:ffff:ffff:ffff:ffff:ffff
209ffda:d000::/24ffda:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
210ffda:d100::/24ffda:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
211ffda:d200::/24ffda:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
212ffda:d300::/24ffda:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
213ffda:d400::/24ffda:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
214ffda:d500::/24ffda:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
215ffda:d600::/24ffda:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
216ffda:d700::/24ffda:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
217ffda:d800::/24ffda:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
218ffda:d900::/24ffda:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
219ffda:da00::/24ffda:daff:ffff:ffff:ffff:ffff:ffff:ffff
220ffda:db00::/24ffda:dbff:ffff:ffff:ffff:ffff:ffff:ffff
221ffda:dc00::/24ffda:dcff:ffff:ffff:ffff:ffff:ffff:ffff
222ffda:dd00::/24ffda:ddff:ffff:ffff:ffff:ffff:ffff:ffff
223ffda:de00::/24ffda:deff:ffff:ffff:ffff:ffff:ffff:ffff
224ffda:df00::/24ffda:dfff:ffff:ffff:ffff:ffff:ffff:ffff
225ffda:e000::/24ffda:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
226ffda:e100::/24ffda:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
227ffda:e200::/24ffda:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
228ffda:e300::/24ffda:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
229ffda:e400::/24ffda:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
230ffda:e500::/24ffda:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
231ffda:e600::/24ffda:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
232ffda:e700::/24ffda:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
233ffda:e800::/24ffda:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
234ffda:e900::/24ffda:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
235ffda:ea00::/24ffda:eaff:ffff:ffff:ffff:ffff:ffff:ffff
236ffda:eb00::/24ffda:ebff:ffff:ffff:ffff:ffff:ffff:ffff
237ffda:ec00::/24ffda:ecff:ffff:ffff:ffff:ffff:ffff:ffff
238ffda:ed00::/24ffda:edff:ffff:ffff:ffff:ffff:ffff:ffff
239ffda:ee00::/24ffda:eeff:ffff:ffff:ffff:ffff:ffff:ffff
240ffda:ef00::/24ffda:efff:ffff:ffff:ffff:ffff:ffff:ffff
241ffda:f000::/24ffda:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
242ffda:f100::/24ffda:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
243ffda:f200::/24ffda:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
244ffda:f300::/24ffda:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
245ffda:f400::/24ffda:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
246ffda:f500::/24ffda:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
247ffda:f600::/24ffda:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
248ffda:f700::/24ffda:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
249ffda:f800::/24ffda:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
250ffda:f900::/24ffda:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
251ffda:fa00::/24ffda:faff:ffff:ffff:ffff:ffff:ffff:ffff
252ffda:fb00::/24ffda:fbff:ffff:ffff:ffff:ffff:ffff:ffff
253ffda:fc00::/24ffda:fcff:ffff:ffff:ffff:ffff:ffff:ffff
254ffda:fd00::/24ffda:fdff:ffff:ffff:ffff:ffff:ffff:ffff
255ffda:fe00::/24ffda:feff:ffff:ffff:ffff:ffff:ffff:ffff
256ffda:ff00::/24ffda:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses